> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read a category

> Read a category.



## OpenAPI

````yaml openapi/nexus/v1.yaml GET /categories/{category_guid}
openapi: 3.0.0
info:
  contact:
    name: Nexus API
    url: https://www.mx.com
  version: 1.0.0
  title: Nexus API
  description: >-
    Legacy clients can use Nexus API for all their connectivity needs. If you
    are a new client refer to our Platform API. Review our [Nexus API
    Guides](/nexus) for more information.
servers:
  - url: https://int-data.moneydesktop.com/
  - url: https://data.moneydesktop.com/
security:
  - sessionToken: []
tags:
  - name: accounts
  - name: beats
  - name: budgets
  - name: categories
  - name: extended transaction history
  - name: goals
  - name: holdings
  - name: identity
  - name: insights
  - name: institutions
  - name: jobs
  - name: member credentials
  - name: members
  - name: merchants
  - name: microdeposits
  - name: monthly cash flow profile
  - name: notifications
  - name: scheduled payments
  - name: sessions
  - name: spending plan
  - name: taggings
  - name: tags
  - name: transaction rules
  - name: transactions
  - name: user
  - name: verification
paths:
  /categories/{category_guid}:
    get:
      tags:
        - categories
      summary: Read a category
      description: Read a category.
      operationId: readCategory
      parameters:
        - name: category_guid
          description: The unique identifier for the category. Defined by MX.
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/vnd.mx.nexus.v1+json:
              schema:
                $ref: '#/components/schemas/SubcategoryResponseBody'
components:
  schemas:
    SubcategoryResponseBody:
      properties:
        category:
          $ref: '#/components/schemas/SubcategoryResponse'
      type: object
    SubcategoryResponse:
      properties:
        created_at:
          example: '2015-04-13T12:01:23.000Z'
          type: string
          nullable: true
          description: >-
            Date and time the category was created, represented in ISO 8601
            format with timestamp (e.g. 2015-04-13T12:01:23-00:00). This field
            will always be `null` when `is_default` is true.
        guid:
          example: CAT-de7c2dc7-90e6-85a2-6509-5ec10942e887
          type: string
          description: Unique identifier for the category. Defined by MX.
        is_default:
          example: true
          type: boolean
          nullable: true
          description: >-
            If the category is a default category, this field will be true.
            Otherwise, this field will be false.
        is_income:
          example: true
          type: boolean
          nullable: true
          description: >-
            If the category is income, this field will be true. Otherwise, this
            field will be false.
        metadata:
          example: Additional information
          type: string
          nullable: true
          description: Additional information a partner can store on the category.
        name:
          example: Auto Insurance
          type: string
          nullable: false
          description: Name of the sub-category.
        parent_guid:
          example: CAT-7829f71c-2e8c-afa5-2f55-fa3634b89874
          type: string
          description: >-
            Unique identifier for the parent category. If the category is a
            default category, this field will be "null". Defined by MX.
        updated_at:
          example: '2015-04-13T12:01:23.000Z'
          type: string
          description: >-
            Date and time the category was last updated, represented in ISO 8601
            format with timestamp (e.g. 2015-04-13T12:01:23-00:00). This field
            will always be null when `is_default` is true.
  securitySchemes:
    sessionToken:
      description: >
        ### MX Session Token 

        - Request an API token using the read API token endpoint in the MX SSO
        API.

        - Exchange an API token for a session token. 
          - A session token is obtained by sending a POST request to /sessions
          - The session token will be used in each request made for the user. It should be passed in an `MD-SESSION-TOKEN` HTTP header as shown below.
          - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
          - If you send a request with an expired session token you'll receive an error code of `4011`.

        ```

        curl -i https://int-data.moneydesktop.com/accounts \

        -H 'MD-SESSION-TOKEN:
        CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg'
        \

        -H 'Content-Type: application/vnd.mx.nexus.v1+json' \

        -H 'Accept: application/vnd.mx.nexus.v1+json'

        ```


        In documentation code examples, replace `<API_KEY_VALUE>` with the
        session token.
      type: apiKey
      name: MD-SESSION-TOKEN
      in: header

````